---
layout: default
permalink: /contribute/salsa/
title: 'How to join the Salsa group'
---

# How to join the Salsa group

[Salsa](https://salsa.debian.org) is the name of the collaborative
development server for [Debian](https://debian.org/) based on
[GitLab](https://gitlab.com/). *Salsa* provides the necessary tools for
package maintainers, packaging teams and other individuals and groups for
collaborative development.

The Reproducible Builds project is using *Salsa* to host most of its
infrastructure and Git repositories and you can find out more information
about Salsa on the [Salsa](https://wiki.debian.org/Salsa) page of the
[Debian Wiki](https://wiki.debian.org/).

To [contribute to the Reproducible Builds project](/contribute), please
follow the following instructions:

### 1. Visit the "Sign in" page

First, visit **[the sign in / register
page](https://salsa.debian.org/users/sign_in)** and select the **Register**
tab:

![](/images/contribute/salsa/01.png)

### 2. Create account

Next, create your account:

![](/images/contribute/salsa/02.png)

<br>

After registering, you should see the following screen:

![](/images/contribute/salsa/03.png)

### 3. Check your email

You will have to confirm your email address to proceed. Check your email
inbox and follow the link provided:

![](/images/contribute/salsa/04.png)

<br>

### 4. Log in to your new account

Next, log in to your new account.

![](/images/contribute/salsa/05.png)

<br>

### 5. Join the *Reproducible Builds* group

On *Salsa*, development is split into groups. You will need to join the
[reproducible-builds](https://salsa.debian.org/reproducible-builds) group
before you can commit directly to our Git repositories. You can, however,
submit [merge
requests](https://docs.gitlab.com/ee/user/project/merge_requests/) without
this step.

To join the *Reproducible Builds* group, ensure you are logged into *Salsa*,
visit
**[salsa.debian.org/reproducible-builds](https://salsa.debian.org/reproducible-builds)**
and then select **Request Access**:

![](/images/contribute/salsa/06.png)

---

After requesting access, you should see the following message:

![](/images/contribute/salsa/07.png)

### 6. Wait for confirmation

Unfortunately you currently have to wait for someone already on the
Reproducible Builds community to accept your request. You should receive an
email once this occurs:

![](/images/contribute/salsa/08.png)

<br>

### 7. Add an SSH key

Finally, to push directly to our Git repositories you will need to add your
SSH key to your *Salsa* account settings. You can do this by visiting
**[salsa.debian.org/profile/keys](https://salsa.debian.org/profile/keys)**:

![](/images/contribute/salsa/09.png)

<br>

### 8. Congratulations!

Congratulations, you are now part of the *Reproducible Builds* group on
*Salsa* and you should now be able to clone and push to our repositories via
Git.
